#include <raylib.h>
#include <imgui.h>
#include <rlImGui.h>
#include "Vapp.hpp"

int main(int argc, char *argv[])
{
  int screenWidth = 1000;
  int screenHeight = 1000;

  Vapp app;
  SetConfigFlags(FLAG_WINDOW_RESIZABLE);
  InitWindow(screenWidth, screenHeight, "VIEW");
  SetTargetFPS(60);
  rlImGuiSetup(true);
  app.init();
  bool showDemoWindow = true;
  ImGui::GetIO().ConfigFlags |= ImGuiConfigFlags_DockingEnable;

  while (!WindowShouldClose())
  {
    app.update();
    BeginDrawing();
    rlImGuiBegin();
    app.draw();

    rlImGuiEnd();
    EndDrawing();
  }
  app.deinit();
  rlImGuiShutdown();
  CloseWindow();
  return 0;
}